Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


roytam1

My browser builds (part 2)

Recommended Posts

On 12/8/2019 at 8:09 AM, dencorso said:

After more than one month without updating Serpent 52, I decided it was time to do so... and, after installing the latest binaries (basilisk52-g4.4.win32-git-20191207-2529b2ede-xpmod) I found out CNN.com's videos weren't playing anymore. Then I went to the previous version and so on, until I got to basilisk52-g4.4.win32-git-20191116-3492ad652-xpmod, which works as expected. I'm astonished: hasn't anyone reported any issues till now?  I'm reporting an issue which prevents both videos at cnn.com (try: https://edition.cnn.com/2019/12/07/asia/beijing-pets-cat-dogs-intl-hnk/index.html) as well as most videos on twitter, and I found it out less than one hour ago! :unsure::dubbio:

On 12/8/2019 at 5:46 PM, dencorso said:

However, I do run with media.ffvpx.enabled=false and use Adobe Primetime. This causes both cnn.com and twitter videos perfectly with excellent quality. However, it seems that @roytam1 has removed support for Adobe Primetime from basilisk52-g4.4.win32-git-20191123 onwards. If that's the case, please, Roy, do kindly put it back: it still works and produces better quality videos than the the ffvpx filters. TIA. :angel

Most unfortunately, I can reproduce :( ; and it isn't only the Adobe Primetime CDM affected, as reported by @dencorso, but also the Widevine CDM too, which is installed and visible under Vista+; Widevine CDM v1.4.9.1088 is currently broken since August 13th 2019, due to Google changes - effort is underway by MCP to restore Widevine support in official Basilisk ( see here ), which is currently hitting a deadend, but any success won't benefit Vista users of Serpent, as updated Widevine DLLs don't run on Vista and require Win7+; still, having a working implementation of WV on Serpent would certainly benefit St users on Win7+ :yes:

I normally don't have Adobe Primetime CDM (APCDM) installed in my Serpent 52 profile, but to humour @dencorso I did correctly install it (v17) and made sure I disabled the other h264/aac decoders:
media.wmf.enabled;false (Vista's native WMF decoder)
media.ffvpx.enabled;false (Serpent's bundled FFmpeg decoder)

while I made sure media.gmp.decoder.enabled;true (APCDM's decoder)

Widevine CDM (WVCDM) v1.4.9.1088 is also correctly installed.

Extended testing reveals that:

A. 2019-11-15 Serpent win32 build is the last good build where:
1. WVCDM appears installed in both "about:addons => Plugins" and about:plugins :

0KNWkCU.jpg

2. APCDM's decoder properly works for MP4 HTML5 video; e.g., first test clip on

https://tekeye.uk/html/html5-video-test-page

(1: HTML5 MPEG Video Test)

eEvMBu8.jpg

B. By simply updating to the next Serpent 52 build, 2019-11-22, one discovers that it's the first bad one, since:
1. WVCDM magically vanishes from both "about:addons => Plugins" and about:plugins :

kwcqlGN.jpg

2. APCDM, while still present in both "about:addons => Plugins" and about:plugins, simply quits functioning as a h264/aac decoder (as reported by dencorso):

glNxZNd.jpg

@Mathwiz : Could you be so kind as to confirm my tests, preferably on Win7 where Widevine CDM is visible (thanks in advance :)) ?

======================================

Now, examining more closely related code, MCP did remove APCDM support in official Basilisk in UXP #1259 ; the bulk of the patches would have landed in the 2019-11-15 build, as per 

On 11/16/2019 at 1:27 AM, roytam1 said:

Official repo changes since my last build:

- Issue #1259 - Part 1. Remove Adobe Primetime support from tree (0fb5f7a15)
- Issue #1259 - Part 2. Remove Adobe Primetime localization strings (c74e21f18)
- Issue #1259 - Part 3. Remove Adobe EME as a GMP source (0aa805d1f)
- Issue #1259 - Part 4. Remove Adobe EME from GMPUtils (a6441a2a8)
- Issue #1259 - Part 5. Remove migration path for Adobe GMP storage (484200b01)
- Issue #1259 - Part 6. Remove Adobe EME from Basilisk frontend (400f0e2df)
- Issue #1259 - Part 7. Update tests for Adobe EME removal (c43b770a0)

but you did revert those (more accurately, did not apply at all in your custom branch), as per

On 11/16/2019 at 1:27 AM, roytam1 said:

My changes since my last build:
- Reverted commits related to Issue #1259

... furthermore, the reversion has been successful, as the 2019-11-15 build is, according to my analysis above, the LAST GOOD one :thumbup

The MCP devs did not revisit issue #1259, except for

https://github.com/MoonchildProductions/UXP/pull/1293

(Adjust Widewine strings after removing Adobe Primetime support) and thus

https://github.com/MoonchildProductions/UXP/commit/36c81a9

This would have normally landed in the 2019-11-22 build of Serpent 52:

On 11/23/2019 at 1:11 AM, roytam1 said:

Official repo changes since my last build:

- Issue #1259 - Adjust Widewine strings after removing Adobe Primetime support (d03485712)

while you did not technically revert that, you added your own version with a slightly modified code:

https://github.com/roytam1/UXP/commit/e50e93c

Since I'm not a code wizard by any stretch of the imagination, I can't be certain that the culprit for the issues reported here lies within that commit of yours... What is absolutely certain is the offending changeset(s) lives inside the changelog (in your custom UXP branch) between Serpent build 2019-11-15 and build 2019-11-22 ; please, at your discretion, investigate further :) ... Because, while you took the extra effort to keep APCDM support inside Serpent 52 alive (against MCP's agenda), not only did we end up with a crippled APCDM installation, but also Widevine took an unexpected hit and did a disappearing act... :sneaky:

Thanks for your time reading this long report, hopefully you'll get it sorted out!

Many thanks, as ever, for providing your forks to the community!

Best regards :)

Edited by VistaLover
  • Like 2

Share this post


Link to post
Share on other sites

38 minutes ago, VistaLover said:

while you did not technically revert that, you added your own version with a slightly modified code:

https://github.com/roytam1/UXP/commit/e50e93c

because there is conflict between their changes and my changes. the only change I created is in line 52 and 62 for reenabling the disabled adobe primetime installation as introduced in https://github.com/roytam1/UXP/commit/e30598c

Edited by roytam1

Share this post


Link to post
Share on other sites

Mailnews 2019-11-16 is contantly phoning palemoon: IP Server: 209.222.17.76.

I have it blocked in my firewall, but it fills my log of garbage.

Just sayin

 

Serpent 2019-12-07 breaks addons "open with edge, Ie, chrome and more 4.0.0" and "profile switcher 1.7.7"

Share this post


Link to post
Share on other sites
10 hours ago, dmiranda said:

Mailnews 2019-11-16 is contantly phoning palemoon: IP Server: 209.222.17.76.

I have it blocked in my firewall, but it fills my log of garbage.

Just sayin

 

Serpent 2019-12-07 breaks addons "open with edge, Ie, chrome and more 4.0.0" and "profile switcher 1.7.7"

The last build is 2019-12-06:

Qb8YKCdZ_o.jpg

Please check if this build also has these problems.

Edited by Sampei.Nihira

Share this post


Link to post
Share on other sites
12 hours ago, roytam1 said:

do you updated your XP? and do you have enough memory? 256MB is minimal requirement.

My XP is SP3 with all PosReady updates. 2G memory. Virtual memory is closed (to free up some disk space). Does it matter?

Share this post


Link to post
Share on other sites
4 hours ago, vikmin said:

i need a theme, a style

b05e18c4abbc0cb39ed65d52072a7de5.jpg

Welcome to MSFN Forums :) ; judging by that screenshot, what you're after is a "Complete Theme" ;)

Several Complete Themes do exist for New Moon 28 in the official Pale Moon extensions repository:

https://addons.palemoon.org/themes/

However, if you want one for Serpent 52.9.0, then only one is officially available:

https://addons.basilisk-browser.org/themes/

and to add insult to injury, that unique one only works correctly on Win7+ (it contains specific Win7+ CSS code :angry: )

You'll have better luck installing a Firefox 52 compatible complete theme; however,

1. AMO (addons.mozilla.org) has had all Complete Themes removed since Quantum (Fx 57.0+) was released...
2. The ill-fated, now taken down, legacycollector site did not list any Complete Firefox Themes
3. Likewise, the CAA (Classic Addons Archive) extension does not contain any reference to Complete Firefox Themes :realmad: (a very unfortunate/poor decision by its maintainer, if I may say so myself) ...

Your only source of Complete Firefox Themes currently is what has been salvaged from AMO by the web archive:

http://web.archive.org/web/20181124130244/https://addons.mozilla.org/en-US/firefox/complete-themes/

You can start from there and hopefully find your way to an archived XPI theme file...

Mine (depicted in your screenshot) is FTDeepDark v14.3 (slightly patched to accommodate minor Serpent issues...):

https://web.archive.org/web/20180729192834/https://addons.mozilla.org/en-US/firefox/addon/ft-deepdark/versions/?page=1#version-14.3

Direct link to XPI file:

https://web.archive.org/web/20170829121054if_/https://addons.cdn.mozilla.net/user-media/addons/295337/ft_deepdark-14.3-fx-windows.xpi?filehash=sha256%3A1a92752850c0e90b0962eec6b0d5e5343c703d4a8b64905d756a82621ef5b5c8

Regards :)

Share this post


Link to post
Share on other sites
2 minutes ago, luweitest said:

My XP is SP3 with all PosReady updates. 2G memory. Virtual memory is closed (to free up some disk space). Does it matter?

maybe, did you try it with new profile first?

Share this post


Link to post
Share on other sites

@VistaLover

FTDeepDark v14.3 > this is what  need, thanks a lot!:thumbup

  • Like 1

Share this post


Link to post
Share on other sites

Firefox THEMES
VistaLover said:
> Your only source of Complete Firefox Themes currently is what has been salvaged from AMO by the web archive

Am shocked. Again :-(
What a loss, what a senseless destruction frenzy by the Mozilla boss again, of precious, hard work. And even only 1 backup left, which can vanish any day too.

So my idea was now to download at least this one as example skin, if ever needing one some day. And fell into another shock, whoa: 2MB per skin! and a new one needed for every new FF version! And with tons of bugfixes, over 140 versions! And double as many again for Linux! Ouff.... am giving up, not enough space even when saving only a dozen versions, plus Linux, would be already whopping 50MB. Considering that 140x2x2 together make about half a GB to store, for just 1 theme - frankly, am starting to understand the CAA maintainer... default_newwink.gif

Share this post


Link to post
Share on other sites
10 hours ago, roytam1 said:

maybe, did you try it with new profile first?

Not first, but I did tried with a new profile, and the result is about the same: It did not crash at first, yet after browsed for some pages it crashes with the exactly same message. The memory was still abundant (committed about 69% seen from procexp) at the time.

I think you may omit this report, since my system is not supposed to run IA32 build. Let a real user test it. I'm afraid I may mislead you. I am happy with the normal build. Thank you.

Share this post


Link to post
Share on other sites
On 12/10/2019 at 12:46 AM, looking4awayout said:

Which browser do you want to patch?

see my text ,version and Firefox added now: "Since i installed Newmoon/PM 27.9.7(27 SSE), KM-goanna 76.2 for the first time with installer....." Firefox 45.9.18

Edited by 3dreal
exact versions added. + Firefox

Share this post


Link to post
Share on other sites
10 hours ago, 3dreal said:

see my text ,version added now: "Since i installed Newmoon (27 SSE), KM-goanna for the first time with installer....."

Use the 38 ESR version of the UOC Patch and Enforcer.

Share this post


Link to post
Share on other sites

psl rectify since i completed all  3 installed browsers.

2. it seems i have here a Firefox-chaos.  FF 45.9.18 blue Icon, FF 45.3.0.6050 orange. when blue is open if i click orange the very same blue will be opened in a new window.
do i have to first close one version? or do i have to use a fresh profile? newer changed them but did resets.
 

Share this post


Link to post
Share on other sites
1 hour ago, 3dreal said:

psl rectify since i completed all  3 installed browsers.

2. it seems i have here a Firefox-chaos.  FF 45.9.18 blue Icon, FF 45.3.0.6050 orange. when blue is open if i click orange the very same blue will be opened in a new window.
do i have to first close one version? or do i have to use a fresh profile? newer changed them but did resets.
 

Just delete everything related to the "official" Firefox. You can even delete the entire folder altogether (in my experience, you don't need to install the "official" Firefox to use Roytam1's 45 ESR SSE) just extract the 7z archive wherever you want and you can use the browser. Never mix the folders or else you'll end up with the same issue you are facing now. On my RDD, instead of installing the official one, I just have extracted the 7z, placed the new browser's folder in C:\Program Files\ and presto, runs without issues.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...